/* GNU polyxmass - the massist's program.
   -------------------------------------- 
   Copyright (C) 2000,2001,2002,2003,2004 Filippo Rusconi

   http://www.polyxmass.org

   This file is part of the "GNU polyxmass" project.
   
   The "GNU polyxmass" project is an official GNU project package (see
   www.gnu.org) released ---in its entirety--- under the GNU General
   Public License and was started at the Centre National de la
   Recherche Scientifique (FRANCE), that granted me the formal
   authorization to publish it under this Free Software License.

   This software is free software; you can redistribute it and/or
   modify it under the terms of the GNU  General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This software is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU  General Public
   License along with this software; if not, write to the
   Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/
#ifndef POLYXDEF_UI_MONOMERS_H
#define POLYXDEF_UI_MONOMERS_H

#include "polyxdef-globals.h"
#include "polyxdef-defctxt.h"

enum
  {
    COLUMN_MNM_NAME,
    COLUMN_MNM_CODE,
    COLUMN_MNM_FORMULA,
    COLUMN_MNM_EDITABLE,
    COLUMN_MNM_COL_COUNT
  };


gboolean 
polyxdef_ui_polchemdef_wnd_setup_monomers_notebook_page (PxmDefCtxt *defctxt,
							 GladeXML *xml);

gboolean
polyxdef_ui_polchemdef_wnd_setup_monomers_treeview (PxmDefCtxt *defctxt);

GtkTreeModel *
polyxdef_ui_polchemdef_wnd_create_monomers_treeview_model (GPtrArray *
							   monomerGPA);

void
polyxdef_ui_polchemdef_wnd_monomers_treeview_cell_edited 
(GtkCellRendererText *cell,
 const gchar *path_string,
 const gchar *new_text,
 gpointer data);


void
polyxdef_ui_polchemdef_wnd_monomer_codelen_value_changed  (GtkSpinButton *
							   spinbutton,
							   gpointer data);
void
polyxdef_ui_polchemdef_wnd_monomer_add_button (GtkWidget *widget, 
					       gpointer data);

void
polyxdef_ui_polchemdef_wnd_monomer_remove_button (GtkWidget *widget,
						  gpointer data);





gboolean
polyxdef_setup_monomers_treeview (GtkWidget *window, GtkWidget *vbox);


GtkTreeModel *
polyxdef_create_monomers_treeview_model (GPtrArray *GPA);


void
polyxdef_monomers_cell_edited (GtkCellRendererText *cell,
			       const gchar *path_string,
			       const gchar *new_text,
			       gpointer data);

void
polyxdef_monomer_codelen_value_changed  (GtkSpinButton *spinbutton,
				gpointer data);





void
polyxdef_monomer_add_button (GtkWidget *widget, gpointer data);


void
polyxdef_monomer_remove_button (GtkWidget *widget, gpointer data);




#endif /* #ifndef POLYXDEF_UI_MONOMERS_H */
